import React, { useState } from 'react';
import './App.css';

function App() {
  const [query, setQuery] = useState('');
  const [category, setCategory] = useState('science');

  const handleSubmit = (e) => {
    e.preventDefault();
    let actionUrl = '';
    switch (category) {
      case 'science':
        actionUrl = 'https://science.tsugutsugugo.com/yacysearch.html?query=';
        break;
      case 'philosophy':
        actionUrl = 'https://sophos.tsugutsugugo.com/yacysearch.html?query=';
        break;
      case 'tech':
        actionUrl = 'https://tech.tsugutsugugo.com/yacysearch.html?query=';
        break;
      case 'discover':
        actionUrl = 'https://web.tsugutsugugo.com/yacysearch.html?query=';
        break;
      default:
        actionUrl = 'https://science.tsugutsugugo.com/yacysearch.html?query=';
    }
    // navigation woes
    window.location.href = `${actionUrl}${encodeURIComponent(query)}`;
  };
  

  return (
    <div className="App">
      <header className="header-bar">
        <img src="header.png" alt="Header" />
      </header>
      <main className="main-content">
        <img id="mascot-img" src="main.png" alt="Mascot" />
        <div id="tagline">a search engine for the rest of us</div>
        <form className="search-form" onSubmit={handleSubmit}>
          <div className="search-container">
            <input
              type="text"
              name="search"
              placeholder="Search..."
              value={query}
              onChange={(e) => setQuery(e.target.value)}
            /> 
            <button type="submit">Search</button>
          </div>
          <div className="radio-options">
            <label htmlFor="science">
              <input
                type="radio"
                name="category"
                id="science"
                value="science"
                checked={category === 'science'}
                onChange={(e) => setCategory(e.target.value)}
              />
              Science
            </label>
            <label htmlFor="philosophy">
              <input
                type="radio"
                name="category"
                id="philosophy"
                value="philosophy"
                checked={category === 'philosophy'}
                onChange={(e) => setCategory(e.target.value)}
              />
              Philosophy
            </label>
            <label htmlFor="tech">
              <input
                type="radio"
                name="category"
                id="tech"
                value="tech"
                checked={category === 'tech'}
                onChange={(e) => setCategory(e.target.value)}
              />
              Tech
            </label>
            <label htmlFor="discover">
              <input
                type="radio"
                name="category"
                id="discover"
                value="discover"
                checked={category === 'discover'}
                onChange={(e) => setCategory(e.target.value)}
              />
              Discover the Web
            </label>
          </div>
        </form>
      </main>
      <div class="modal">
  <p class="message">Do you wanna play game?</p>
  <div class="options">
    <button class="btn">Yes</button>
    <button class="btn">No</button>
  </div>
</div>
      <footer className="footer">
        <a href="https://git.tsugutsugugo.com/explore/repos">Source</a> |{' '}
        <a href="https://docs.tsugutsugugo.com/">Docs</a>
      </footer>
    </div>
  );
}

export default App;
